import Vue from 'vue'
import App from './App'
import store from '@/store'
Vue.config.productionTip = false
import uView from 'uview-ui';
import {
	imgHost
} from '@/common/env';
Vue.use(uView);
let vuexStore = require('@/store/$u.mixin.js') //引入
Vue.mixin(vuexStore) //混入全局

Vue.prototype.imgHost = imgHost

App.mpType = 'app'

const app = new Vue({
	store,
	...App
})
import httpInterceptor from '@/common/http.interceptor.js'
Vue.use(httpInterceptor, app)
app.$mount()
